package com.persagy.dmp.message.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.message.model.MessageVO;
import com.persagy.dmp.message.model.SenderRegister;

import java.util.List;

/**
 * 消息 服务
 * @author Charlie Yu
 * @date 2021-05-24
 */
public interface IMessageService {

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<MessageVO> queryWrapper);

    /**
     * 新增消息
     * @param voList
     * @return
     */
    List<MessageVO> insertType(List<MessageVO> voList);

    /**
     * 修改消息
     * @param voList
     * @return
     */
    List<MessageVO> updateType(List<MessageVO> voList);

    /**
     * 删除消息
     * @param ids
     */
    void deleteType(List<String> ids);

    /**
     * 通过主键查询
     * @param id
     * @return
     */
    MessageVO load(String id);
}
